<?php
session_start();
require_once 'library/useful-functions.php';
// Grab data to save.
$clubId = $_SESSION['club_id'];
$clubName = $_SESSION['club_name'];
$clubCategory = $_SESSION['club_category'];
$clubSponsored = $_SESSION['club_sponsored'];
$clubComments = $_SESSION['club_comments'];
// Check the id. 0 means add, other value means edit.
if ($clubId == 0) {
    global $canChangeData;
    if ($canChangeData) {
        // This is a new club.
        // Add to the clubs table.
        $sql = "
        INSERT INTO clubs (
            name, category, sponsored, comments
        )
        VALUES (
            :name, :category, :sponsored, :comments
        )
    ";
        /** @var PDO $dbConnection */
        $stmnt = $dbConnection->prepare($sql);
        $stmnt->execute(
            [
                'name' => $clubName,
                'category' => $clubCategory,
                'sponsored' => $clubSponsored,
                'comments' => $clubComments
            ]
        );
        // Get the id of the new club.
        $clubId = $dbConnection->lastInsertId();
    }
    else {
        // Can't change the data.
        $clubId = 1;
    }
}
else {
    global $canChangeData;
    if ($canChangeData) {
        // It's an edit.
        $sql = "
        UPDATE clubs SET
            name = :name,
            category = :category,
            sponsored = :sponsored,
            comments = :comments
        WHERE 
            club_id = :id;
        ";
        /** @var PDO $dbConnection */
        $stmnt = $dbConnection->prepare($sql);
        $stmnt->execute(
            [
                'id' => $clubId,
                'name' => $clubName,
                'category' => $clubCategory,
                'sponsored' => $clubSponsored,
                'comments' => $clubComments
            ]
        );
    }
}
// Redirect to view page.
header("Location: club-view.php?club_id=$clubId");
exit();
