<?php
// Connect to the database.
require_once 'library/useful-functions.php';
$errorMessage = '';
// Was the id given?
$clubId = getParamFromGet('club_id');
$errorMessage = checkClubId($clubId);
if ($errorMessage == '') {
    $clubEntity = getClubWithId($clubId);
    if (is_null($clubEntity)) {
        $errorMessage = "Sorry, no club with id $clubId.";
    }
}
?><!doctype html>
<html lang="en">
    <head>
        <?php
        $pageTitle = 'Club';
        require_once 'library/head.php';
        ?>
    </head>
    <body>
        <?php
        require_once 'library/top.php'
        ?>
        <h1>Club</h1>
        <?php
        if ($errorMessage != '') {
            print "<p class='error-message'>$errorMessage</p>";
        }
        else {
            $editLink = "<a href='club-add-edit.php?club_id=$clubId'>Edit</a>";
            print "<p class='task-bar'>
                <span class='task-link'>$editLink</span>
            </p>\n";
            print "<p>Here are the deets for the club.</p>\n";
            $deets = renderClubDeets($clubId);
            if (is_null($deets)) {
                print "<p>Sorry, something went wrong showing club $clubId.</p>\n";
            }
            else {
                print $deets;
            }
        }
        require_once 'library/footer.php';
        ?>
    </body>
</html>