<?php
/**
 * Show a list of clubs, with operation links.
 */
require_once  'library/useful-functions.php';
$errorMessage = '';
$clubEntities = getAllClubs();
if (is_null($clubEntities)) {
    $errorMessage = "Sorry, there was a problem finding clubs in the database.";
}
?><!DOCTYPE html>
<html lang="en">
    <head>
        <?php
        $pageTitle = 'Clubs';
        require_once 'library/head.php';
        ?>
    </head>
    <body>
        <?php
        require_once 'library/top.php'
        ?>
        <h1>Clubs</h1>
        <?php
        if ($errorMessage != '') {
            print "<p class='alert-danger text-danger m-2 p-2'>$errorMessage</p>";
        }
        else {
            ?>
            <p class='task-bar'>
                <span class='task-link'><a href='club-add-edit.php'>Add club</a></span>
            </p>
            <p>Here are the clubs we know about.</p>
            <table class='record-table'>
              <thead>
                <tr>
                  <th>Club</th>
                  <th>Category</th>
                  <th>Sponsored?</th>
                  <th>Operations</th>
                </tr>
              </thead>
              <tbody>
          <?php
            foreach ($clubEntities as $club) {
                $id = $club['club_id'];
                $name = $club['name'];
                $categoryName = getCategoryNameForCode($club['category']);
                $sponsoredName = getYNNameForCode($club['sponsored']);
                $nameLink = "<a href='club-view.php?club_id=$id'>$name</a>";
                $viewLink = "<a href='club-view.php?club_id=$id'>View</a>";
                $editLink = "<a href='club-add-edit.php?club_id=$id'>Edit</a>";
                print "
                    <tr>
                        <td>$nameLink</td>
                        <td>$categoryName</td>
                        <td>$sponsoredName</td>
                        <td>$viewLink $editLink</td>
                    </tr>\n";
            }
            print "  </tbody>\n";
            print "</table>\n";
        }
        ?>
        <?php
        require_once 'library/footer.php';
        ?>
    </body>
</html>
