<?php
session_start();
require_once 'library/useful-functions.php';
// Grab data to save.
$comedianId = $_SESSION['comedian_id'];
$comedianName = $_SESSION['comedian_name'];
$comedianComments = $_SESSION['comedian_comments'];
// Check the id. 0 means add, other value means edit.
if ($comedianId == 0) {
    global $canChangeData;
    if ($canChangeData) {
        // This is a new comedian.
        // Add to the comedians table.
        $sql = "
        INSERT INTO comedians (
            name, comments
        )
        VALUES (
            :name, :comments
        )
    ";
        /** @var PDO $dbConnection */
        $stmnt = $dbConnection->prepare($sql);
        $stmnt->execute(
            [
                'name' => $comedianName,
                'comments' => $comedianComments
            ]
        );
        // Get the id of the new comedian.
        $comedianId = $dbConnection->lastInsertId();
    }
    else {
        // Can't change data.
        $comedianId = 1;
    }
}
else {
    global $canChangeData;
    if ($canChangeData) {
        // It's an edit.
        $sql = "
        UPDATE comedians SET
            name = :name,
            comments = :comments
        WHERE 
            comedian_id = :id;
    ";
        /** @var PDO $dbConnection */
        $stmnt = $dbConnection->prepare($sql);
        $stmnt->execute(
            [
                'id' => $comedianId,
                'name' => $comedianName,
                'comments' => $comedianComments,
            ]
        );
    }
}
// Redirect to view page.
header("Location: comedian-view.php?comedian_id=$comedianId");
exit();
