<?php
// Connect to the database.
require_once 'library/useful-functions.php';
$errorMessage = '';
// Was a comedian id given?
$comedianId = getParamFromGet('comedian_id');
$errorMessage = checkComedianId($comedianId);
if ($errorMessage == '') {
    $comedianEntity = getComedianWithId($comedianId);
    if (is_null($comedianEntity)) {
        $errorMessage = "Sorry, problem finding comedian with id $comedianId.";
    }
}
?><!doctype html>
<html lang="en">
    <head>
        <?php
        $pageTitle = 'Comedian';
        require_once 'library/head.php';
        ?>
    </head>
    <body>
        <div class="container">
            <?php
            require_once 'library/top.php'
            ?>
            <h1>Comedian</h1>
            <?php
            if ($errorMessage != '') {
                print "<p class='error-message'>$errorMessage</p>";
            }
            else {
                $editLink = "<a href='comedian-add-edit.php?comedian_id=$comedianId'>Edit</a>";
                print "<p class='task-bar'>
            <span class='task-link'>$editLink</span>
        </p>\n";
                print "<p>Here are the deets for the comedian.</p>\n";
                print renderComedianDeets($comedianId);
            }
            require_once 'library/footer.php';
            ?>
    </body>
</html>