<?php
require_once 'library/useful-functions.php';
$errorMessage = '';
$comedianEntities = getAllComedians();
// Found any records?
if (count($comedianEntities) == 0) {
    $errorMessage = "Sorry, couldn't find comedians in the database.";
}
?><!DOCTYPE html>
<html lang="en">
    <head>
        <?php
        $pageTitle = 'Comedians';
        require_once 'library/head.php';
        ?>
    </head>
    <body>
        <?php
        require_once 'library/top.php'
        ?>
        <h1>Comedians</h1>
        <?php
        if ($errorMessage != '') {
            print "<p class='alert-danger text-danger m-2 p-2'>$errorMessage</p>";
        }
        else {
            print "<p>Here are the comedians we know about.</p>\n";
            print "<table class='record-table'>\n";
            print "  <thead>\n";
            print "    <tr>\n";
            print "      <th>Comedian</th>\n";
            print "      <th>Operations</th>\n";
            print "    </tr>\n";
            print "  </thead>\n";
            print "  <tbody>\n";
            foreach ($comedianEntities as $comedianEntity) {
                $id = $comedianEntity['comedian_id'];
                $name = $comedianEntity['name'];
                $nameLink = "<a href='comedian-view.php?comedian_id=$id'>$name</a>";
                $viewLink = "<a href='comedian-view.php?comedian_id=$id'>View</a>";
                $editLink = "<a href='comedian-add-edit.php?comedian_id=$id'>Edit</a>";
                print "
                    <tr>
                        <td>$nameLink</td>
                        <td>$viewLink $editLink</td>
                    </tr>\n";
            }
            print "  </tbody>\n";
            print "</table>\n";
        }
        ?>
        <?php
        require_once 'library/footer.php';
        ?>
    </body>
</html>
