<?php
/**
 * Confirm that the user wants to delete a goat.
 */
// Connect to the database.
require_once 'library/useful-functions.php';
$errorMessage = '';
// Was the id given?
// Was a goat id given?
$goatId = getParamFromGet('goat_id');
$errorMessage = checkGoatId($goatId);
if ($errorMessage == '') {
    $goatEntity = getGoatWithId($goatId);
    if (is_null($goatEntity)) {
        $errorMessage = "Sorry, something went wrong loading goat $goatId.";
    }
}
?><!doctype html>
<html lang="en">
    <head>
        <?php
        $pageTitle = 'Delete goat';
        require_once 'library/head.php';
        ?>
    </head>
    <body>
        <div class="container">
            <?php
            require_once 'library/top.php'
            ?>
            <h1><?= $pageTitle ?></h1>
            <?php
            if ($errorMessage != '') {
                print "<p class='error-message'>$errorMessage</p>";
            }
            else {
                print "<p>Are you sure you want to delete this goat?</p>\n";
                /** @var PDO $dbConnection */
                $result = renderGoatDeets($goatId);
                if (is_null($result)) {
                    print "<p>Sorry, something went wrong.</p>\n";
                }
                else {
                    print $result;
                    print makeTaskBar($goatId);
                }

            }
            require_once 'library/footer.php';
            ?>
    </body>
</html><?php

/**
 * Make HTML to show the task bar.
 * @param int $goatId Goat id.
 * @return string HTML.
 */
function makeTaskBar($goatId) {
    $confirmLink = "<a href='goat-delete-confirmed.php?goat_id=$goatId'>Confirm</a>";
    $cancelLink = "<a href='goat-view.php?goat_id=$goatId'>Cancel</a>";
    $result = "<p class='task-bar'>
            <span class='task-link'>$confirmLink</span>
            <span class='task-link'>$cancelLink</span>
        </p>\n";
    return $result;
}


