<?php
// Connect to the database.
require_once 'library/useful-functions.php';
$errorMessage = '';
// Was the id given?
$goatId = getParamFromGet('goat_id');
$goatEntity = getGoatWithId($goatId);
if (is_null($goatEntity)) {
    $errorMessage = "Sorry, there was problem loading the goat with id $goatId.";
}
?><!doctype html>
<html lang="en">
<head>
    <?php
    $pageTitle = 'Goat';
    require_once 'library/head.php';
    ?>
</head>
<body>
    <?php
    require_once 'library/top.php'
    ?>
    <h1>Goat</h1>
    <?php
    if ($errorMessage != '') {
        print "<p class='error-message'>$errorMessage</p>";
    }
    else {
        print makeTaskBar($goatId);
        print "<p>Here are the deets for the goat.</p>\n";
        $deets = renderGoatDeets($goatId);
        if (is_null($deets)) {
            print "<p>Sorry, something went wrong showing goat $goatId.</p>\n";
        }
        else {
            print $deets;
        }
    }
    require_once 'library/footer.php';
    ?>
</body>
</html><?php

/**
 * Make HTML to show the task bar.
 * @param int $goatId Goat id.
 * @return string HTML.
 */
function makeTaskBar($goatId) {
    $editLink = "<a href='goat-add-edit.php?goat_id=$goatId'>Edit</a>";
    $result = "<p class='task-bar'>
            <span class='task-link'>$editLink</span>
        </p>\n";
    return $result;
}

/**
 * Make HTML to show list of clubs goat is in.
 * @param array $clubs Clubs goat is in.
 * @return string HTML
 */
function makeClubList($clubs) {
    $result = "<ul>\n";
    foreach ($clubs as $club) {
        $clubId = $club['club_id'];
        $name = $club['name'];
        $link = "<a href='club-view.php?club_id=$clubId'>$name</a>";
        $result .= "<li>$link</li>\n";
    }
    $result .= "</ul>\n";
    return $result;
}
