<?php
// Connect to the database.
require_once 'library/useful-functions.php';
$errorMessage = '';
$goatEntities = getAllGoats();
if (is_null($goatEntities)) {
    $errorMessage = "Sorry, there was a problem looking up goats in the database.";
}
?><!DOCTYPE html>
<html lang="en">
    <head>
        <?php
        $pageTitle = 'Goats';
        require_once 'library/head.php';
        ?>
    </head>
    <body>
        <?php
        require_once 'library/top.php'
        ?>
        <h1>Goats</h1>
        <?php
        if ($errorMessage != '') {
            print "<p class='alert-danger text-danger m-2 p-2'>$errorMessage</p>";
        }
        else {
            ?>
            <p class='task-bar'>
                <span class='task-link'><a href='goat-add-edit.php'>Add goat</a></span>
            </p>
            <p>Here are the goats we know about.</p>
            <table class='record-table'>
              <thead>
                <tr>
                  <th>Goat</th>
                  <th>Operations</th>
                </tr>
              </thead>
              <tbody>
            <?php
            foreach ($goatEntities as $goat) {
                $id = $goat['goat_id'];
                $name = $goat['name'];
                $nameLink = "<a href='goat-view.php?goat_id=$id'>$name</a>";
                $viewLink = "<a href='goat-view.php?goat_id=$id'>View</a>";
                $editLink = "<a href='goat-add-edit.php?goat_id=$id'>Edit</a>";
                print "
                    <tr>
                        <td>$nameLink</td>
                        <td>$viewLink $editLink</td>
                    </tr>\n";
            }
            print "  </tbody>\n";
            print "</table>\n";
        }
        ?>
        <?php
        require_once 'library/footer.php';
        ?>
    </body>
</html>
